Bug 106493 - Create symlink from /bin/bash to /bin/rbash
Create symlink from /bin/bash to /bin/rbash
Product: Red Hat Raw Hide
Classification: Retired
Component: bash (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
: FutureFeature
: 111870 217975 251685 (view as bug list)
Depends On:
Blocks: FC4Target
  Show dependency treegraph
Reported: 2003-10-07 15:47 EDT by Blair Zajac
Modified: 2007-08-10 09:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-15 10:32:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Blair Zajac 2003-10-07 15:47:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.1.4322; .NET CLR 1.0.3705)

Description of problem:
It would be really useful if the RPM would create a symlink
from /bin/bash to /bin/rbash, which enables the restricted bash

I'm guessing that /etc/shells should also be updated.

Version-Release number of selected component (if applicable):

How reproducible:

Additional info:
Comment 1 Tim Waugh 2003-12-11 05:08:17 EST
*** Bug 111870 has been marked as a duplicate of this bug. ***
Comment 2 Tim Waugh 2004-12-15 10:32:39 EST
The problem is that although rbash does restrict things quite a lot, you are
still probably going to want /bin in your path -- and if it is, then you can
just run 'bash' and get out of restricted mode that way.

I think it's more useful for chroots than in the RPM we actually ship for bash.
Comment 3 Tim Waugh 2006-12-06 12:06:00 EST
*** Bug 217975 has been marked as a duplicate of this bug. ***
Comment 4 Tim Waugh 2007-08-10 09:33:34 EDT
*** Bug 251685 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.